Summary: Tools to manipulate UEFI variables
Name: efivar
Version: 0.21
Release: r0.0
License: LGPLv2.1
Group: base
Packager: Wind River <info@windriver.com>
URL: https://github.com/rhinstaller/efivar
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: efivar-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: popt
Requires: rtld(GNU_HASH)
Requires: libdl.so.2()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libdl.so.2(GLIBC_2.2.5)(64bit)
Requires: libc.so.6()(64bit)
Requires: libpopt0 >= 1.16
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libpopt.so.0()(64bit)
Requires: libefivar.so.0()(64bit)
Requires: libc6 >= 2.22
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libpopt.so.0(LIBPOPT_0)(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libdl.so.2()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libdl.so.2(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libpopt0 >= 1.16
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libpopt.so.0()(64bit)
Requires(post): libefivar.so.0()(64bit)
Requires(post): libc6 >= 2.22
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libpopt.so.0(LIBPOPT_0)(64bit)
Provides: libefiboot.so.0()(64bit)
Provides: elf(buildid) = 752989f8e36715434a45f17560169ad0c9d7bb08
Provides: elf(buildid) = 0256833c8a4e03b20a5f4e71c4cb41ea797e2617
Provides: elf(buildid) = 2f12cb960fc36d654c776c466931b815ac89d299
Provides: libefivar.so.0()(64bit)

%description
efivar provides a simple command line interface to the UEFI variable
facility

%package -n efivar-dbg
Summary: Tools to manipulate UEFI variables - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libpopt-dbg
Recommends: efivar = 0.21-r0.0

%description -n efivar-dbg
efivar provides a simple command line interface to the UEFI variable
facility  This package contains ELF symbols and related sources for
debugging purposes.

%package -n efivar-staticdev
Summary: Tools to manipulate UEFI variables - Development files (Static Libraries)
Group: devel
Requires: efivar-dev = 0.21-r0.0

%description -n efivar-staticdev
efivar provides a simple command line interface to the UEFI variable
facility  This package contains static libraries for software development.

%package -n efivar-dev
Summary: Tools to manipulate UEFI variables - Development files
Group: devel
Requires: efivar = 0.21-r0.0
Suggests: libc6-dev
Suggests: libpopt-dev

%description -n efivar-dev
efivar provides a simple command line interface to the UEFI variable
facility  This package contains symbolic links, header files, and related
items necessary for software development.

%package -n efivar-doc
Summary: Tools to manipulate UEFI variables - Documentation files
Group: doc

%description -n efivar-doc
efivar provides a simple command line interface to the UEFI variable
facility  This package contains documentation.

%package -n efivar-locale
Summary: Tools to manipulate UEFI variables
Group: base

%description -n efivar-locale
efivar provides a simple command line interface to the UEFI variable
facility

%post
# efivar - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/bin"
"/usr/lib64/libefiboot.so.0"
"/usr/lib64/libefivar.so.0"
"/usr/lib64/libefivar.so.0.21"
"/usr/lib64/libefiboot.so.0.21"
"/usr/bin/efivar"

%files -n efivar-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libefivar.so.0.21"
"/usr/lib64/.debug/libefiboot.so.0.21"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/efivar"
%dir "/usr/src/debug"
%dir "/usr/src/debug/efivar"
%dir "/usr/src/debug/efivar/0.21-r0"
%dir "/usr/src/debug/efivar/0.21-r0/git"
%dir "/usr/src/debug/efivar/0.21-r0/git/src"
%dir "/usr/src/debug/efivar/0.21-r0/git/src/include"
"/usr/src/debug/efivar/0.21-r0/git/src/lib.h"
"/usr/src/debug/efivar/0.21-r0/git/src/loadopt.c"
"/usr/src/debug/efivar/0.21-r0/git/src/creator.c"
"/usr/src/debug/efivar/0.21-r0/git/src/generics.h"
"/usr/src/debug/efivar/0.21-r0/git/src/util.h"
"/usr/src/debug/efivar/0.21-r0/git/src/efivar.c"
"/usr/src/debug/efivar/0.21-r0/git/src/dp-acpi.c"
"/usr/src/debug/efivar/0.21-r0/git/src/export.c"
"/usr/src/debug/efivar/0.21-r0/git/src/gpt.h"
"/usr/src/debug/efivar/0.21-r0/git/src/lib.c"
"/usr/src/debug/efivar/0.21-r0/git/src/guid.c"
"/usr/src/debug/efivar/0.21-r0/git/src/disk.c"
"/usr/src/debug/efivar/0.21-r0/git/src/gpt.c"
"/usr/src/debug/efivar/0.21-r0/git/src/disk.h"
"/usr/src/debug/efivar/0.21-r0/git/src/linux.c"
"/usr/src/debug/efivar/0.21-r0/git/src/dp-media.c"
"/usr/src/debug/efivar/0.21-r0/git/src/ucs2.h"
"/usr/src/debug/efivar/0.21-r0/git/src/dp.c"
"/usr/src/debug/efivar/0.21-r0/git/src/dp-hw.c"
"/usr/src/debug/efivar/0.21-r0/git/src/linux.h"
"/usr/src/debug/efivar/0.21-r0/git/src/crc32.c"
"/usr/src/debug/efivar/0.21-r0/git/src/dp.h"
"/usr/src/debug/efivar/0.21-r0/git/src/efivarfs.c"
"/usr/src/debug/efivar/0.21-r0/git/src/dp-message.c"
"/usr/src/debug/efivar/0.21-r0/git/src/crc32.h"
"/usr/src/debug/efivar/0.21-r0/git/src/vars.c"
"/usr/src/debug/efivar/0.21-r0/git/src/guid.h"
%dir "/usr/src/debug/efivar/0.21-r0/git/src/include/efivar"
"/usr/src/debug/efivar/0.21-r0/git/src/include/efivar/efivar.h"
"/usr/src/debug/efivar/0.21-r0/git/src/include/efivar/efivar-dp.h"
"/usr/src/debug/efivar/0.21-r0/git/src/include/efivar/efivar-guids.h"

%files -n efivar-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/include"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libefivar.so"
"/usr/lib64/libefiboot.so"
"/usr/lib64/pkgconfig/efivar.pc"
"/usr/lib64/pkgconfig/efiboot.pc"
%dir "/usr/include/efivar"
"/usr/include/efivar/efivar.h"
"/usr/include/efivar/efiboot.h"
"/usr/include/efivar/efiboot-loadopt.h"
"/usr/include/efivar/efiboot-creator.h"
"/usr/include/efivar/efivar-dp.h"
"/usr/include/efivar/efivar-guids.h"

%files -n efivar-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man3"
%dir "/usr/share/man/man1"
"/usr/share/man/man3/efi_guid_to_name.3"
"/usr/share/man/man3/efi_variable_get_name.3"
"/usr/share/man/man3/efi_variable_set_name.3"
"/usr/share/man/man3/efi_variable_import.3"
"/usr/share/man/man3/efi_variable_t.3"
"/usr/share/man/man3/efi_variable_export.3"
"/usr/share/man/man3/efi_get_variable_attributes.3"
"/usr/share/man/man3/efi_variable_alloc.3"
"/usr/share/man/man3/efi_variable_get_data.3"
"/usr/share/man/man3/efi_variable_get_guid.3"
"/usr/share/man/man3/efi_variable_get_attributes.3"
"/usr/share/man/man3/efi_get_variable.3"
"/usr/share/man/man3/efi_variable_set_attributes.3"
"/usr/share/man/man3/efi_get_next_variable_name.3"
"/usr/share/man/man3/efi_variables_supported.3"
"/usr/share/man/man3/efi_variable_set_guid.3"
"/usr/share/man/man3/efi_get_variable_size.3"
"/usr/share/man/man3/efi_guid_to_symbol.3"
"/usr/share/man/man3/efi_variable_free.3"
"/usr/share/man/man3/efi_guid_to_str.3"
"/usr/share/man/man3/efi_variable_set_data.3"
"/usr/share/man/man3/efi_del_variable.3"
"/usr/share/man/man3/efi_str_to_guid.3"
"/usr/share/man/man3/efi_symbol_to_guid.3"
"/usr/share/man/man3/efi_name_to_guid.3"
"/usr/share/man/man3/efi_guid_to_id_guid.3"
"/usr/share/man/man3/efi_set_variable.3"
"/usr/share/man/man3/efi_variable_realize.3"
"/usr/share/man/man3/efi_append_variable.3"
"/usr/share/man/man1/efivar.1"

